> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/tokenization/get-layerzero-peers",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get LayerZero peers

> Retrieve the LayerZero peers configured for a specific adapter. Returns information about peer relationships for cross-chain communication.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /tokenization/multichain/bridge/layerzero/config/{adapterTokenLinkId}/peers
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/multichain/bridge/layerzero/config/{adapterTokenLinkId}/peers:
    get:
      tags:
        - Tokenization
      summary: Get LayerZero peers
      description: >-
        Retrieve the LayerZero peers configured for a specific adapter. Returns
        information about peer relationships for cross-chain communication.
      operationId: getLayerZeroPeers
      parameters:
        - name: adapterTokenLinkId
          required: true
          in: path
          description: The token link id of the adapter token link
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: LayerZero peers retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetLayerZeroPeersResponse'
        '400':
          $ref: '#/components/responses/BadRequestError'
        '404':
          $ref: '#/components/responses/OriginalTokenLinkNotFoundError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<GetLayerZeroPeersResponse>> =
            fireblocks.tokenization.getLayerZeroPeers(tokenizationApiGetLayerZeroPeersRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<GetLayerZeroPeersResponse>> response =
            fireblocks.tokenization().getLayerZeroPeers(adapterTokenLinkId);
        - lang: Python
          source: >-
            response =
            fireblocks.tokenization.get_layer_zero_peers(adapter_token_link_id);
components:
  schemas:
    GetLayerZeroPeersResponse:
      type: object
      properties:
        adapterTokenLinkId:
          type: string
          format: uuid
          description: The token link id of the adapter
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
        adapterAddress:
          type: string
          description: The adapter address
          example: '0x1234567890abcdef1234567890abcdef12345678'
        peers:
          type: array
          items:
            $ref: '#/components/schemas/PeerAdapterInfo'
          description: The peers for the adapter
          example:
            - adapterTokenLinkId: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
              adapterAddress: '0x1234567890abcdef1234567890abcdef12345678'
              baseAssetId: ETH_TEST6
            - adapterTokenLinkId: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
              adapterAddress: '0x1234567890abcdef1234567890abcdef12345678'
              baseAssetId: ETH_TEST5
      required:
        - adapterTokenLinkId
        - adapterAddress
        - peers
    PeerAdapterInfo:
      type: object
      properties:
        adapterTokenLinkId:
          type: string
          format: uuid
          description: The token link id of the adapter
          example: b70701f4-d7b1-4795-a8ee-b09cdb5b850d
        adapterAddress:
          type: string
          description: The adapter address
          example: '0x1234567890abcdef1234567890abcdef12345678'
        baseAssetId:
          type: string
          description: The base asset id for the base asset that the adapter is deployed on
          example: ETH_TEST6
      required:
        - adapterTokenLinkId
        - adapterAddress
        - baseAssetId
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - INTERNAL
                - AUTHENTICATION
                - AUTHORIZATION
                - VALIDATION
                - NOT_FOUND
                - UNPROCESSABLE_ENTITY
                - FORBIDDEN
            message:
              type: string
          required:
            - type
            - message
      required:
        - error
  responses:
    BadRequestError:
      description: Bad request, invalid input data or parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: VALIDATION
              message: Invalid input data or parameters
    OriginalTokenLinkNotFoundError:
      description: Token link not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: NOT_FOUND
              message: The specified token link was not found
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error:
              type: INTERNAL
              message: >-
                An unexpected error occurred during execution. Please try again
                later.

````